<template>
	<div>
		<v-data-table :headers="headers" :items="items" hide-default-footer class="elevation-1"></v-data-table>
		<v-pagination :length="length" v-model="page" @input="onPageChange"></v-pagination>
		{{page}}
	</div>
</template>

<script>
export default {
	name: 'UserTable',
	props: {
		headers: {
			type: Array,
			default: () => [],
		},
		items: {
			type: Array,
			default: () => [],
		},
		length: {
			type: Number,
			default: 1
		}
	},
	data() {
		return {
			page: 1,
		};
	},
	methods: {
		onPageChange(page) {
			this.$emit('on-page-change', page);
		},
	},
};
</script>
